<template>
  <div class="relative bg-secondary-100">
    <section class="py-16">
      <div class="container mx-auto">
        <h3 class="text-xl font-medium">Orders</h3>

        <div class="flex flex-col mt-10">
          <div class="-my-2 overflow-x-auto sm:-mx-6 lg:-mx-8">
            <div
              class="inline-block min-w-full py-2 align-middle sm:px-6 lg:px-8"
            >
              <div
                class="overflow-hidden border-b rounded shadow border-secondary-200"
              >
                <table class="min-w-full divide-y divide-secondary-200">
                  <thead class="bg-secondary-100">
                    <tr>
                      <th
                        scope="col"
                        class="px-6 py-3 text-xs font-medium tracking-wider text-left uppercase text-secondary-500"
                      >
                        Order
                      </th>
                      <th
                        scope="col"
                        class="px-6 py-3 text-xs font-medium tracking-wider text-left uppercase text-secondary-500"
                      >
                        Date
                      </th>
                      <th
                        scope="col"
                        class="px-6 py-3 text-xs font-medium tracking-wider text-center uppercase text-secondary-500"
                      >
                        Status
                      </th>
                      <th
                        scope="col"
                        class="px-6 py-3 text-xs font-medium tracking-wider text-center uppercase text-secondary-500"
                      >
                        Total
                      </th>
                      <th scope="col" class="relative px-6 py-3">
                        <span class="sr-only">View</span>
                      </th>
                    </tr>
                  </thead>

                  <tbody class="bg-white divide-y divide-secondary-200">
                    <tr v-for="(order, index) in orders" :key="index">
                      <td class="px-6 py-4 whitespace-nowrap">
                        <div class="flex items-center">
                          <div>
                            <div class="text-sm font-medium text-black">
                              #{{ order.databaseId }}
                            </div>
                            <div class="text-sm text-secondary-500">
                              <a
                                :href="`mailto:${order.billing.email}`"
                                class="hover:text-primary-300"
                              >
                                {{ order.billing.email }}
                              </a>
                            </div>
                          </div>
                        </div>
                      </td>
                      <td class="px-6 py-4 whitespace-nowrap">
                        <div class="text-sm text-secondary-500">
                          Regional Paradigm Technician
                        </div>
                      </td>
                      <td class="px-6 py-4 text-center whitespace-nowrap">
                        <span
                          class="inline-flex px-2 text-xs font-semibold leading-5 text-white rounded bg-primary-300"
                        >
                          {{ order.status }}
                        </span>
                      </td>
                      <td
                        class="px-6 py-4 text-sm text-center text-secondary-500 whitespace-nowrap"
                      >
                        US{{ order.total }}
                      </td>
                      <td
                        class="px-6 py-4 text-sm font-medium text-right whitespace-nowrap"
                      >
                        <nuxt-link
                          :to="`/orders/${order.databaseId}`"
                          class="text-secondary-300 hover:text-primary-300"
                        >
                          View
                        </nuxt-link>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
  </div>
</template>

<script>
import getOrders from '~/apollo/queries/orders/getOrders.gql'

export default {
  layout: 'customer',
  data() {
    return {}
  },
  apollo: {
    orders: {
      prefetch: true,
      query: getOrders,
      variables() {
        return {
          where: { customerId: this.$store.state.auth.customer.databaseId },
        }
      },
      update(data) {
        // console.log(data)
        return data.orders.nodes
      },
    },
  },
}
</script>
